import java.awt.*;

public class Oval extends Shape {

    public static final int NUMBER_OF_CORNERS = 0;

    private double radius1;
    private double radius2;

    public Oval(double radius1, double radius2, Color color) {
        super(color);
        this.radius1 = radius1;
        this.radius2 = radius2;
    }

    // Create a circle
    public Oval(double radius, Color color) {
        this(radius,radius,color);
    }

    public int numberOfCorners() {
        return NUMBER_OF_CORNERS;
    }

    public double surface() {
        return Math.PI*radius1*radius2;
    }

    public void display(Graphics g) {
        g.setColor(this.color());
        g.fillOval(100,100,(int)(2*radius1),(int)(2*radius2));
    }

}
































//        g.setColor(this.color());
//        g.fillOval(100,100,(int)radius1,(int)radius2);
