import javax.swing.*;
import java.awt.*;

public class ShapeDisplayer extends JFrame {

    ShapeDisplayer(Shape shape) {
        setTitle("Shape display");
        setSize(1000,1000);
        setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
        setVisible(true);

        JComponent shapeDisplay = new JComponent() {
            @Override
            public void paint(Graphics g) {
                shape.display(g);
            }
        };
        this.add(shapeDisplay);
    }

    public static void main(String[] args) {
        Shape greenRect = new Rectangle(100, 300, Color.GREEN);
        new ShapeDisplayer(greenRect);
        Shape redOval = new Oval(200, 150, Color.RED);
        new ShapeDisplayer(redOval);
        Shape pinkTriangle = new Triangle(300,100,50,Color.PINK);
        new ShapeDisplayer(pinkTriangle);
    }

}
